#if !defined(ptf_date_h)
//! \internal header guard
#define ptf_date_h

#if !defined(ptf_h)
#include "ptf.h"
#endif
//! \addtogroup PtfLibrary The PTF File Library
//! @{

//! Convert a date represented in a struct tm (as received from gmtime()) 
//! into a ptf_date for storage in a file.
//! \param otm A UST datetime, as received from gmtime().
//! \param o_date The input date converted to PTF format will be put here.
PTF_API void ptf_date_from_tm(struct tm const * otm, ptf_date * o_date);

//! @}
#endif  //  ptf_date_h
