#if !defined(mem_util_h)
//! \internal header guard
#define mem_util_h

namespace {

template<typename T>
  class stack_array_delete {
    public:
      stack_array_delete(T * ptr) : ptr_(ptr) {}
      ~stack_array_delete() { delete[] ptr_; }
      void detach() { ptr_ = 0; }
      T * ptr_;
  };

template<typename T>
  class stack_delete {
    public:
      stack_delete(T * ptr) : ptr_(ptr) {}
      ~stack_delete() { delete ptr_; }
      void detach() { ptr_ = 0; }
      T * ptr_;
  };

}

#endif  //  mem_util_h
